Package com.smartgwt.client.types

# Enum PromptStyle

java.lang.Object
java.lang.Enum<PromptStyle>
com.smartgwt.client.types.PromptStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PromptStyle>`, `Constable`

public enum PromptStyle extends Enum<PromptStyle> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CURSOR`
  Changes the current cursor to the style specified by `RPCRequest.promptCursor`
  `DIALOG`
  Displays a centered modal prompt with text specified by `RPCRequest.prompt`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PromptStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PromptStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIALOG

    public static final PromptStyle DIALOG
    Displays a centered modal prompt with text specified by `RPCRequest.prompt`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dialog".

  - ### CURSOR

    public static final PromptStyle CURSOR
    Changes the current cursor to the style specified by `RPCRequest.promptCursor`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "cursor".

- ## Method Details

  - ### values

    public static PromptStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PromptStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`